
import java.util.Scanner;

public class CutBoard2 {
	public static void main(String [] args) {
		Scanner input = new Scanner(System.in);
		
		int K = input.nextInt(); input.nextLine();
		int m, n, a, b;
		int s, s1, s2;
		
		for (int i = 0; i < K; i++) {
			m = input.nextInt(); n = input.nextInt(); 
			a = input.nextInt(); b = input.nextInt(); 
			input.nextLine(); 
			
			s1 = tryCut(m, n, a, b); s2 = tryCut(m, n, b, a);
			s = (s1 > s2) ? s1 : s2;

			System.out.printf("%d\n", s);
		}
	}
	
	public static int tryCut(int m, int n, int a, int b) {
		int s, s1, s2;
		int mR = m % a; int nR = n % b;
		
		s = tryCutWhole(m, n, a, b); //first cut
		//cut the leftover
		s1 = tryCutWhole(m, nR, b, a) + tryCutWhole(mR, n - nR, b, a);
		s2 = tryCutWhole(m - mR, nR, b, a) + tryCutWhole(mR, n, b, a);
		
		s += (s1 > s2)? s1 : s2;
		return s;
	}
	
	public static int tryCutWhole(int m, int n, int a, int b) {
		return ( m / a ) * ( n / b);
	}
	
}


